Bug 1903060 - python-mne: FTBFS in Fedora rawhide [NEEDINFO]
Summary: python-mne: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mne
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aniket Pradhan
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-01 08:57 UTC by Tomáš Hrnčiar
Modified: 2021-01-08 03:04 UTC (History)
3 users (show)

Fixed In Version: python-mne-0.22.0-1.fc32 python-mne-0.22.0-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-08 02:51:04 UTC
Type: Bug
releng: needinfo? (igor.raits)


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-01 08:57:20 UTC
Description of problem:
Package python-mne fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.21.1-1.fc34

Steps to Reproduce:
koji build --scratch f34 python-mne-0.21.1-1.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-mne

=================================== FAILURES ===================================
_______________________________ test_object_size _______________________________
mne/utils/tests/test_numerics.py:305: in test_object_size
    assert lower < size < upper, \
E   AssertionError: 100 < 64 < 400:
E     {}
E   assert 100 < 64

Comment 1 Fedora Release Engineering 2020-12-06 04:22:54 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-26).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Fedora Release Engineering 2020-12-27 04:22:24 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-26).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 3 Fedora Update System 2020-12-30 09:40:32 UTC
FEDORA-2020-b1c730ad6d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1c730ad6d

Comment 4 Fedora Update System 2020-12-30 09:40:37 UTC
FEDORA-2020-166d475614 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-166d475614

Comment 5 Fedora Update System 2020-12-31 00:59:59 UTC
FEDORA-2020-b1c730ad6d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b1c730ad6d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1c730ad6d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-12-31 01:03:22 UTC
FEDORA-2020-166d475614 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-166d475614`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-166d475614

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-01-08 02:51:04 UTC
FEDORA-2020-b1c730ad6d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-01-08 03:04:55 UTC
FEDORA-2020-166d475614 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.